# ExplanationOfBenefit read

`GET /ExplanationOfBenefit/{id}`

The ExplanationOfBenefit (EOB) resource combines key information from a Claim, a ClaimResponse and optional Account information to inform a patient of the goods and services rendered by a provider and the settlement made under the patient's coverage in respect of that Claim. The ExplanationOfBenefit resource may also be used as a resource for data exchange for bulk data analysis, as the resource encompasses Claim, ClaimResponse and Coverage/Eligibility information.





### read

Retrieve one specific ExplanationOfBenefit resource.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | ExplanationOfBenefit identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/ExplanationOfBenefit/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The ExplanationOfBenefit

Defines the ExplanationOfBenefit profile for Redox applications, based on the CARIN Blue Button Implementation Guide.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: ExplanationOfBenefit |
| `meta` | object | Yes | The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource. |
| `meta.lastUpdated` | string | Yes | When the resource last changed - e.g. when the version changed. |
| `meta.profile` | Array of string | Yes | A list of profiles (references to [StructureDefinition](http://hl7.org/fhir/R4/structuredefinition.html#) resources) that this resource claims to conform to. The URL is a reference to [StructureDefinition.url](http://hl7.org/fhir/R4/structuredefinition-definitions.html#StructureDefinition.url). |
| `identifier` | Array of uniqueclaimid or Other | Yes | A unique identifier assigned to this explanation of benefit. |
| `identifier[] (uniqueclaimid).type` | object | Yes | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `identifier[] (uniqueclaimid).type.coding` | Array of object | Yes |  |
| `identifier[] (uniqueclaimid).type.coding[].system` | string | Yes | Value: http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBIdentifierType |
| `identifier[] (uniqueclaimid).type.coding[].code` | string | Yes | Value: uc |
| `identifier[] (uniqueclaimid).value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `identifier[] (uniqueclaimid).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (uniqueclaimid).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (uniqueclaimid).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[] (uniqueclaimid).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (uniqueclaimid).extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[] (uniqueclaimid).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (uniqueclaimid).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[] (uniqueclaimid).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[] (uniqueclaimid).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (uniqueclaimid).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (uniqueclaimid).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[] (uniqueclaimid).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (uniqueclaimid).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[] (uniqueclaimid).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (uniqueclaimid).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (uniqueclaimid).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (uniqueclaimid).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[] (uniqueclaimid).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[] (uniqueclaimid).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[] (uniqueclaimid).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[] (uniqueclaimid).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (uniqueclaimid).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[] (uniqueclaimid).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[] (uniqueclaimid).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[] (uniqueclaimid).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[] (Other).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[] (Other).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `type` | object | Yes | The category of claim, e.g. oral, pharmacy, vision, institutional, professional. |
| `type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `use` | string | Yes | A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future. Value: claim |
| `patient` | object | Yes | The party to whom the professional services and/or products have been supplied or are being considered and for whom actual for forecast reimbursement is sought. Must be a resource of type `Patient`. |
| `patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `billablePeriod` | object | Yes | The period for which charges are being submitted. |
| `billablePeriod.start` | string | Yes | The start of the period. The boundary is inclusive. |
| `created` | string | Yes | The date this resource was created. |
| `insurer` | object | Yes | The party responsible for authorization, adjudication and reimbursement. Must be a resource of type `Organization`. |
| `insurer.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `provider` | object | Yes | The provider which is responsible for the claim, predetermination or preauthorization. Must reference one of the following types of resources: - `Organization` - `Practitioner` |
| `provider.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `outcome` | string | Yes | The outcome of the claim, predetermination, or preauthorization processing. Possible values: queued, complete, error, partial |
| `insurance` | Array of object | Yes | Financial instruments for reimbursement for the health care products and services specified on the claim. |
| `insurance[].focal` | boolean | Yes | A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true. |
| `insurance[].coverage` | object | Yes | Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system. Must be a resource of type `Coverage`. |
| `insurance[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `item` | Array of object | Yes | A claim line. Either a simple (a product or service) or a 'group' of details which can also be a simple items or groups of sub-details. |
| `item[].sequence` | number | Yes | A number to uniquely identify item entries. |
| `item[].productOrService` | object | Yes | When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item. |
| `item[].productOrService.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `item[].productOrService.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `item[].productOrService.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `item[].productOrService.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `item[].noteNumber` | Array of number | No | The numbers associated with notes below which apply to the adjudication of this item. |
| `item[].adjudication` | Array of object | No | If this item is a group then the values here are a summary of the adjudication of the detail items. If this item is a simple product or service then this is the result of the adjudication of this item. |
| `item[].adjudication[].category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include: the value submitted, maximum values or percentages allowed or payable under the plan, amounts that the patient is responsible for in-aggregate or pertaining to this item, amounts paid by other coverages, and the benefit payable for this item. |
| `item[].adjudication[].category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `item[].adjudication[].category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `item[].adjudication[].category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `item[].adjudication[].category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `related` | Array of object | No | Other claims which are related to this claim such as prior submissions or claims for related services or for the same event. |
| `related[].relationship` | object | Yes | A code to convey how the claims are related. |
| `related[].relationship.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `related[].relationship.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `related[].relationship.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `related[].relationship.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `related[].reference` | object | Yes | An alternate organizational reference to the case or file to which this particular claim pertains. |
| `related[].reference.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `related[].reference.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `related[].reference.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `related[].reference.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `related[].reference.extension[] (String).valueString` | string | No | A single value for the extension. |
| `related[].reference.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `related[].reference.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `related[].reference.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `related[].reference.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `related[].reference.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `related[].reference.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `related[].reference.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `related[].reference.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `related[].reference.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `related[].reference.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `related[].reference.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `related[].reference.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `related[].reference.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `related[].reference.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `related[].reference.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `related[].reference.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `related[].reference.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `related[].reference.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `related[].reference.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `related[].reference.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `related[].reference.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `payee` | object | No | The party to be reimbursed for cost of the products and services according to the terms of the policy. |
| `payee.type` | object | Yes | Type of Party to be reimbursed: Subscriber, provider, other. |
| `payee.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `payee.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `payee.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `payee.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `payee.party` | object | No | Reference to the individual or organization to whom any payment will be made. Must reference one of the following types of resources: - `Organization` - `Patient` - `Practitioner` - `RelatedPerson` |
| `payee.party.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `careTeam` | Array of object | No | The members of the team who provided the products and services. |
| `careTeam[].sequence` | number | Yes | A number to uniquely identify care team entries. |
| `careTeam[].provider` | object | Yes | Member of the team who provided the product or service. Must reference one of the following types of resources: - `Organization` - `Practitioner` |
| `careTeam[].provider.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `careTeam[].role` | object | No | The lead, assisting or supervising practitioner and their discipline if a multidisciplinary team. |
| `careTeam[].role.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `careTeam[].role.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `careTeam[].role.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `careTeam[].role.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `supportingInfo` | Array of object | No | Additional information codes regarding exceptions, special considerations, the condition, situation, prior or concurrent issues. |
| `supportingInfo[].sequence` | number | Yes | A number to uniquely identify supporting information entries. |
| `supportingInfo[].category` | object | Yes | The general class of the information supplied: information; exception; accident, employment; onset, etc. |
| `supportingInfo[].category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `supportingInfo[].category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `supportingInfo[].category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `supportingInfo[].category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `payment` | object | No | Payment details for the adjudication of the claim. |
| `payment.type` | object | No | Whether this represents partial or complete payment of the benefits payable. |
| `payment.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `payment.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `payment.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `payment.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `processNote` | Array of any | No | A note that describes or explains adjudication results in a human readable form. |

```json
{
  "resourceType": "ExplanationOfBenefit",
  "id": "EOBOutpatient1",
  "meta": {
    "lastUpdated": "2019-12-12T09:14:11+00:00"
  },
  "use": "claim",
  "identifier": [
    {
      "type": {
        "coding": [
          {
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBIdentifierType",
            "code": "uc"
          }
        ]
      },
      "system": "https://www.example.com/fhir/EOBIdentifier",
      "value": "AW123412341234123412341234123412"
    }
  ],
  "language": "en-US",
  "status": "active",
  "type": {
    "coding": [
      {
        "code": "institutional",
        "system": "http://terminology.hl7.org/CodeSystem/claim-type"
      }
    ],
    "text": "Institutional"
  },
  "subType": {
    "coding": [
      {
        "code": "outpatient",
        "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBInstitutionalClaimSubType"
      }
    ],
    "text": "Outpatient"
  },
  "patient": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "billablePeriod": {
    "start": "2019-01-01",
    "end": "2019-10-31"
  },
  "created": "2019-11-02T00:00:00+00:00",
  "insurer": {
    "reference": "Organization/RedoxInsurerOrganizationExample",
    "display": "Organization Payer 1"
  },
  "provider": {
    "reference": "Organization/RedoxOrganizationManagingExample",
    "display": "Orange Medical Group"
  },
  "outcome": "partial",
  "careTeam": [
    {
      "sequence": 1,
      "provider": {
        "reference": "Organization/RedoxOrganizationManagingExample"
      },
      "role": {
        "coding": [
          {
            "code": "rendering",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBClaimCareTeamRole",
            "display": "Rendering provider"
          }
        ]
      },
      "qualification": {
        "coding": [
          {
            "code": "364SX0200X",
            "system": "http://nucc.org/provider-taxonomy",
            "display": "Oncology Clinical Nurse Specialist"
          }
        ]
      }
    }
  ],
  "supportingInfo": [
    {
      "sequence": 2,
      "category": {
        "coding": [
          {
            "code": "clmrecvddate",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "timingDate": "2019-11-30"
    },
    {
      "sequence": 3,
      "category": {
        "coding": [
          {
            "code": "typeofbill",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "code": {
        "coding": [
          {
            "code": "Dummy",
            "system": "https://www.nubc.org/CodeSystem/TypeOfBill"
          }
        ]
      }
    },
    {
      "sequence": 4,
      "category": {
        "coding": [
          {
            "code": "pointoforigin",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "code": {
        "coding": [
          {
            "code": "Dummy",
            "system": "https://www.nubc.org/CodeSystem/PointOfOrigin"
          }
        ]
      }
    },
    {
      "sequence": 5,
      "category": {
        "coding": [
          {
            "code": "admtype",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "code": {
        "coding": [
          {
            "code": "Dummy",
            "system": "https://www.nubc.org/CodeSystem/PriorityTypeOfAdmitOrVisit"
          }
        ]
      }
    },
    {
      "sequence": 6,
      "category": {
        "coding": [
          {
            "code": "discharge-status",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "code": {
        "coding": [
          {
            "code": "Dummy",
            "system": "https://www.nubc.org/CodeSystem/PatDischargeStatus"
          }
        ]
      }
    },
    {
      "sequence": 7,
      "category": {
        "coding": [
          {
            "code": "medicalrecordnumber",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "valueString": "1234-234-1243-12345678901m"
    },
    {
      "sequence": 8,
      "category": {
        "coding": [
          {
            "code": "patientaccountnumber",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBSupportingInfoType"
          }
        ]
      },
      "valueString": "1234-234-1243-12345678901a"
    }
  ],
  "diagnosis": [
    {
      "sequence": 1,
      "diagnosisCodeableConcept": {
        "coding": [
          {
            "code": "S06.0X1A",
            "system": "http://hl7.org/fhir/sid/icd-10-cm"
          }
        ]
      },
      "type": [
        {
          "coding": [
            {
              "code": "patientreasonforvisit",
              "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBClaimDiagnosisType"
            }
          ]
        }
      ]
    }
  ],
  "insurance": [
    {
      "focal": true,
      "coverage": {
        "reference": "Coverage/RedoxCoverageExample"
      }
    }
  ],
  "item": [
    {
      "sequence": 1,
      "revenue": {
        "coding": [
          {
            "code": "Dummy",
            "system": "https://www.nubc.org/CodeSystem/RevenueCodes"
          }
        ]
      },
      "productOrService": {
        "coding": [
          {
            "code": "not-applicable",
            "system": "http://terminology.hl7.org/CodeSystem/data-absent-reason",
            "display": "Not Applicable"
          }
        ]
      },
      "servicedDate": "2019-11-02"
    }
  ],
  "adjudication": [
    {
      "category": {
        "coding": [
          {
            "code": "benefitpaymentstatus",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudicationDiscriminator"
          }
        ]
      },
      "reason": {
        "coding": [
          {
            "code": "innetwork",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBPayerAdjudicationStatus"
          }
        ]
      }
    },
    {
      "category": {
        "coding": [
          {
            "code": "billingnetworkstatus",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudicationDiscriminator"
          }
        ]
      },
      "reason": {
        "coding": [
          {
            "code": "innetwork",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBPayerAdjudicationStatus"
          }
        ]
      }
    },
    {
      "category": {
        "coding": [
          {
            "code": "paidtoprovider",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudication"
          }
        ],
        "text": "Payment Amount"
      },
      "amount": {
        "value": 620,
        "currency": "USD"
      }
    },
    {
      "category": {
        "coding": [
          {
            "code": "paidbypatient",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudication"
          }
        ],
        "text": "Patient Pay Amount"
      },
      "amount": {
        "value": 0
      }
    }
  ],
  "total": [
    {
      "category": {
        "coding": [
          {
            "code": "paidtoprovider",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudication"
          }
        ],
        "text": "Payment Amount"
      },
      "amount": {
        "value": 620,
        "currency": "USD"
      }
    },
    {
      "category": {
        "coding": [
          {
            "code": "submitted",
            "system": "http://terminology.hl7.org/CodeSystem/adjudication"
          }
        ],
        "text": "Submitted Amount"
      },
      "amount": {
        "value": 2650,
        "currency": "USD"
      }
    },
    {
      "category": {
        "coding": [
          {
            "code": "paidbypatient",
            "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudication"
          }
        ],
        "text": "Patient Pay Amount"
      },
      "amount": {
        "value": 0,
        "currency": "USD"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
